Classes | Namespaces | Typedefs | Functions
IWORKXMLContext.h File Reference
`#include <memory>`

Go to the source code of this file.

## Classes
class | libetonyek::IWORKXMLContext

## Namespaces
| libetonyek

## Typedefs
typedef std::shared_ptr< IWORKXMLContext > | libetonyek::IWORKXMLContextPtr_t

## Functions
template<typename Context , typename Arg >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg &arg)
template<typename Context , typename Arg1 , typename Arg2 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, Arg2 &arg2)
template<typename Context , typename Arg1 , typename Arg2 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, const Arg2 &arg2)
template<typename Context , typename Arg1 , typename Arg2 , typename Arg3 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, Arg2 &arg2, const Arg3 &arg3)
template<typename Context , typename Arg1 , typename Arg2 , typename Arg3 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, Arg2 &arg2, Arg3 &arg3)
template<typename Context , typename Arg1 , typename Arg2 , typename Arg3 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, const Arg2 &arg2, Arg3 &arg3)
template<typename Context , typename Arg1 , typename Arg2 , typename Arg3 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, const Arg2 &arg2, const Arg3 &arg3)
template<typename Context , typename Arg1 , typename Arg2 , typename Arg3 , typename Arg4 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, Arg2 &arg2, const Arg3 &arg3, const Arg4 &arg4)
template<typename Context , typename Arg1 , typename Arg2 , typename Arg3 , typename Arg4 >
IWORKXMLContextPtr_t | libetonyek::makeContext (Arg1 &arg1, const Arg2 &arg2, const Arg3 &arg3, const Arg4 &arg4)